/*
** sem.h                       prototypes for the interface to SysV semaphores
**
** version: 1.1
**
** author: Peter Eriksson, pen@lysator.liu.se
**
** history:
**   901009 pen      initial coding
**   901009 pen      added prototypes for sem_stat and sem_access
*/

#ifndef __SEM_H__
#define __SEM_H__

#include <sys/types.h>
#include <sys/ipc.h>
#include <sys/sem.h>

extern int sem_create(int key, int nsems);
extern int sem_destruct(int semid);
extern int sem_access(int semid, int uid, int gid, int mode);
extern int sem_set(int semid, int semno, int val);
extern int sem_get(int semid, int semno);
extern int sem_add(int semid, int semno, int val);
extern int sem_sub(int semid, int semno, int val);
extern int sem_wait(int semid, int semno);
extern int sem_stat(int semid, struct semid_ds *buf);

#endif
